{
  "accUserMode" : 2,
  "caption" : "搜索栏测试",
  "codeName" : "TESTSearchBarTest",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSearchBarTest.json",
  "gridRowActiveMode" : 2,
  "name" : "TESTSearchBarTest",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "GridView",
    "name" : "engine"
  } ],
  "getPSAppViewLogics" : [ {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "newdata",
    "getPSAppUILogic" : {
      "actionAfterWizard" : "DEFAULT",
      "logicType" : "PREDEFINED",
      "name" : "新建数据",
      "getNewDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "viewLogicType" : "APP_NEWDATA",
      "batchAddOnly" : false,
      "enableBatchAdd" : false,
      "enableWizardAdd" : false
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPUILOGIC",
    "name" : "opendata",
    "getPSAppUILogic" : {
      "logicType" : "PREDEFINED",
      "name" : "打开数据",
      "getOpenDataPSAppView" : {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTRedirectView.json",
          "viewType" : "DEREDIRECTVIEW"
        }
      },
      "getPSAppUILogicRefViews" : [ {
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTRedirectView.json",
          "viewType" : "DEREDIRECTVIEW"
        }
      } ],
      "viewLogicType" : "APP_OPENDATA",
      "editMode" : true
    }
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "EDITDATA",
    "realTitle" : "测试实体数据重定向视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTRedirectView.json",
      "viewType" : "DEREDIRECTVIEW"
    }
  }, {
    "name" : "NEWDATA",
    "realTitle" : "简单编辑",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTSimpleEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "SearchBarTesttoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "搜索栏测试_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "xDataControlName" : "grid",
    "modelid" : "FC8E1855-7288-4071-AEE8-3E1FF8EAD925",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "aggMode" : "NONE",
    "codeName" : "SearchBarTest_Grid",
    "columnEnableFilter" : 2,
    "columnEnableLink" : 2,
    "controlType" : "GRID",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSGRIDS/SearchBarTest_Grid.json",
    "getFetchPSControlAction" : {
      "modelref" : true,
      "id" : "fetch",
      "actionType" : "DEDATASET",
      "name" : "fetch",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "groupMode" : "NONE",
    "logicName" : "搜索栏测试_表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      }, {
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
        }
      } ],
      "userDRAction" : "READ",
      "enableDEFieldPrivilege" : false,
      "id" : "数据表格处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "GRID"
    },
    "getPSDEDataImport" : {
      "modelref" : true,
      "id" : "DataImport"
    },
    "getPSDEGridColumns" : [ {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "测试实体名称",
      "codeName" : "testname",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "testname",
      "excelCaption" : "测试实体名称",
      "name" : "testname",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "FRONT",
      "caption" : "更新人",
      "codeName" : "updateman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updateman",
      "excelCaption" : "更新人",
      "name" : "updateman",
      "noPrivDisplayMode" : 1,
      "getPSAppCodeList" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
      },
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "更新时间",
      "codeName" : "updatedate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "updatedate",
      "excelCaption" : "更新时间",
      "name" : "updatedate",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "width" : 150,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "金额",
      "codeName" : "amount",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "amount",
      "excelCaption" : "金额",
      "name" : "amount",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      },
      "unitName" : "元",
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true,
      "enableUnitName" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "排序属性",
      "codeName" : "order",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "order",
      "excelCaption" : "排序属性",
      "name" : "order",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ORDER",
        "codeName" : "Order"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "日期",
      "codeName" : "date",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "date",
      "excelCaption" : "日期",
      "name" : "date",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "DATE",
        "codeName" : "Date"
      },
      "valueFormat" : "YYYY-MM-DD",
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "时间",
      "codeName" : "time",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "time",
      "excelCaption" : "时间",
      "name" : "time",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "TIME",
        "codeName" : "Time"
      },
      "valueFormat" : "HH:mm:ss",
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    }, {
      "align" : "LEFT",
      "cLConvertMode" : "NONE",
      "caption" : "特殊属性（勿用）",
      "codeName" : "special",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "special",
      "excelCaption" : "特殊属性（勿用）",
      "memo" : "测试属性（name和codeName不一致）",
      "name" : "special",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "SPECIAL",
        "codeName" : "Particular"
      },
      "width" : 100,
      "widthUnit" : "PX",
      "enableSort" : true
    } ],
    "getPSDEGridDataItems" : [ {
      "dataType" : 25,
      "name" : "testname",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    }, {
      "dataType" : 25,
      "name" : "updateman",
      "getPSAppDEField" : {
        "name" : "UPDATEMAN",
        "codeName" : "UpdateMan"
      }
    }, {
      "format" : "YYYY-MM-DD HH:mm:ss",
      "dataType" : 5,
      "name" : "updatedate",
      "getPSAppDEField" : {
        "name" : "UPDATEDATE",
        "codeName" : "UpdateDate"
      }
    }, {
      "dataType" : 6,
      "name" : "amount",
      "getPSAppDEField" : {
        "name" : "AMOUNT",
        "codeName" : "Amount"
      }
    }, {
      "dataType" : 9,
      "name" : "order",
      "getPSAppDEField" : {
        "name" : "ORDER",
        "codeName" : "Order"
      }
    }, {
      "format" : "YYYY-MM-DD",
      "dataType" : 5,
      "name" : "date",
      "getPSAppDEField" : {
        "name" : "DATE",
        "codeName" : "Date"
      }
    }, {
      "format" : "HH:mm:ss",
      "dataType" : 5,
      "name" : "time",
      "getPSAppDEField" : {
        "name" : "TIME",
        "codeName" : "Time"
      }
    }, {
      "dataType" : 25,
      "name" : "special",
      "getPSAppDEField" : {
        "name" : "SPECIAL",
        "codeName" : "Particular"
      }
    }, {
      "dataType" : 25,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      }
    }, {
      "dataType" : 25,
      "name" : "srfdataaccaction",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      },
      "dataAccessAction" : true
    }, {
      "dataType" : 25,
      "name" : "srfmajortext",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      }
    } ],
    "getPSDEGridEditItems" : [ {
      "caption" : "测试实体标识",
      "codeName" : "srfkey",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "name" : "srfkey",
      "getPSAppDEField" : {
        "name" : "TESTID",
        "codeName" : "TESTId"
      },
      "getPSEditor" : {
        "editorType" : "HIDDEN",
        "name" : "srfkey"
      },
      "allowEmpty" : true
    } ],
    "pagingSize" : 20,
    "getRemovePSControlAction" : {
      "actionName" : "Remove",
      "actionType" : "DEACTION",
      "dataAccessAction" : "DELETE",
      "name" : "remove",
      "getPSAppDEMethod" : {
        "modelref" : true,
        "id" : "Remove"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
      }
    },
    "sortMode" : "REMOTE",
    "hasWFDataItems" : false,
    "enableColFilter" : false,
    "enableCustomized" : true,
    "enableGroup" : false,
    "enablePagingBar" : true,
    "enableRowEdit" : false,
    "enableRowEditOrder" : false,
    "enableRowNew" : false,
    "forceFit" : false,
    "hideHeader" : false,
    "noSort" : false,
    "singleSelect" : false,
    "name" : "grid",
    "modelid" : "760EF8D4-F001-4259-9FEC-783A6EEBE4C8",
    "modeltype" : "PSDEGRID"
  }, {
    "codeName" : "testSearchBar",
    "controlType" : "SEARCHBAR",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST/PSSEARCHBARS/testSearchBar.json",
    "groupMoreText" : "更多分组",
    "logicName" : "搜索栏（Test）",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : {
      "id" : "SEARCHBAR"
    },
    "getPSSearchBarFilters" : [ {
      "caption" : "类型(%)",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "filter",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_TYPE_LIKE",
        "name" : "N_TYPE_LIKE",
        "stdDataType" : 25,
        "valueOP" : "LIKE"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "filter"
      },
      "allowEmpty" : true,
      "convertToCodeItemText" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    }, {
      "caption" : "类型(=)",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "type",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "Type"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_TYPE_EQ",
        "name" : "N_TYPE_EQ",
        "stdDataType" : 25,
        "valueOP" : "EQ"
      },
      "getPSEditor" : {
        "editorType" : "DROPDOWNLIST",
        "name" : "type",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__TestType.json"
        },
        "placeHolder" : "请选择输入",
        "singleSelect" : true
      },
      "width" : 200.0,
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "needCodeListConfig" : true,
      "showCaption" : false
    }, {
      "caption" : "测试实体名称(%)",
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "testname",
      "getPSAppDEField" : {
        "name" : "TESTNAME",
        "codeName" : "TESTName"
      },
      "getPSDEFSearchMode" : {
        "codeName" : "N_TESTNAME_LIKE",
        "name" : "N_TESTNAME_LIKE",
        "stdDataType" : 25,
        "valueOP" : "LIKE"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "testname"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    }, {
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "field",
      "getPSAppDEField" : {
        "name" : "FIELD",
        "codeName" : "Field"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "field"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    }, {
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "n_custom_eq",
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "n_custom_eq"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    } ],
    "getPSSearchBarGroups" : [ {
      "caption" : "分组1",
      "itemType" : "GROUP",
      "name" : "group1",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "分组2",
      "itemType" : "GROUP",
      "name" : "group2",
      "width" : 0.0,
      "addSeparator" : false,
      "defaultGroup" : true
    }, {
      "caption" : "分组3",
      "itemType" : "GROUP",
      "name" : "group3",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "分组444444444444444444444444",
      "itemType" : "GROUP",
      "name" : "group4444444444",
      "width" : 0.0,
      "addSeparator" : false
    }, {
      "caption" : "分组55555555555555555",
      "itemType" : "GROUP",
      "name" : "group5555555555",
      "width" : 0.0,
      "addSeparator" : false
    } ],
    "quickGroupCount" : 2,
    "quickSearchMode" : 2,
    "quickSearchWidth" : 0,
    "enableFilter" : true,
    "enableGroup" : true,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false,
    "name" : "searchbar",
    "modelid" : "7BEE5399-A0C8-429E-865D-936279D7911D",
    "modeltype" : "PSSYSSEARCHBAR"
  }, {
    "caption" : "搜索栏测试",
    "codeName" : "SearchBarTestcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "SearchBarTest",
  "getPSDEViewId" : "10B7D412-6819-470E-95AE-76A7BCDF12FD",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDEGRIDVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "搜索栏测试",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableQuickSearch" : true,
  "enableRowEdit" : false,
  "enableSearch" : true,
  "expandSearchForm" : true,
  "rowEditDefault" : false,
  "modelid" : "86191A8B-14C9-4BB1-BA1F-2639B8411F2F",
  "modeltype" : "PSAPPDEVIEW"
}